<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
  <meta name="generator" content=
  "HTML Tidy for Linux/x86 (vers 1st March 2004), see www.w3.org">

  <title>Pootle's HOWTO</title>
  <meta http-equiv="Content-Type" content=
  "text/html; charset=UTF-8">
  <link rel="stylesheet" type="text/css" href=
  "../../pootle.css">
  <link rel="shortcut icon" href="../../favicon.ico">
</head>

<body>
  <div id="banner">
    <h1>Pootle documentation</h1>
  </div>

  <div id="content">
    <div class="contents">
      <h3 class="title">Pootle howto: how to use it</h3>

      <div class="intro">
        <ul>
          <li><a href="#about">About Pootle</a></li>

          <li><a href="#registration">Registration</a></li>

          <li><a href="#login">Login and User Page setup</a></li>

          <li><a href="#browsing">Browsing the files tree</a></li>

          <li><a href="#translation">Online translating with
          Pootle</a></li>

          <li><a href="#aids">Other aids from Pootle</a></li>
        </ul>
      </div>

      <h3 class="title" id="about">About Pootle</h3>

      <div class="info">
        The name stands for PO-based Online Translation /
        Localization Engine, but you may need to read <a href=
        "http://www.thechestnut.com/flumps.htm" target=
        "_blank">this</a>.<br>
        Pootle is a web portal that allows you to translate more
        easily.<br>
        Pootle is GPL licensed Free Software, and you can download
        it and run your own copy if you like.<br>
        You can also help participate in the development in many
        ways (you don't have to be able to program).<br>
        The Pootle project itself is hosted at <a href=
        "http://translate.sourceforge.net/" target=
        "_blank">translate.sourceforge.net</a> where you can find
        details about source code, mailing lists etc.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div><br>

      <h3 class="title" id="registration">Registration</h3>

      <div class="info">
        While everybody can view the files, only registered users
        can edit them and receive credit for their effort, so the
        first thing you should do in order to translate is to
        register.<br>
        You can register following two simple steps, providing you
        have a current email address:<br>
        1. <a href="../../register.html"
        target="_blank">Fill in your User Name, Password and a
        valid E-mail account</a>, choose "Register" and an
        activation code will be sent to the E-mail address you've
        provided.<br>
        2. When you receive the activation code and login details
        by E-mail go to the <a href=
        "../../activate.html" target=
        "_blank">Activation page</a> and fill them in. Choose
        "Activate Account" and your account will be activated,
        giving you permission to edit the Pootle translation
        files.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div><br>

      <h3 class="title" id="login">Login and User Page setup</h3>

      <div class="info">
        Now that you are a registered user, <a href=
        "../../login.html" target=
        "_blank">login to Pootle</a>.<br>
        Once you have logged in, you will be presented with your
        User Page, which includes links to your selected languages
        and projects. Choose "Change options" to edit your User
        Page, and choose "Home Page" from the "Option Page" to
        return to your User page.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div><br>

      <h3 class="title" id="browsing">Browsing the files tree</h3>

      <div class="info">
        Now that your User Page is set up, you can reach the
        desired files for translation directly through the links in
        it.<br>
        Another way to find the file you wish to translate is
        through the <a href="../../" target=
        "_blank">the main page</a>.<br>
        The main page displays two categories - Languages and
        Projects. Choosing a language will give you the list of
        projects available for translation into this language;
        choosing a project will give you the list of languages to
        which it can be translated.<br>
        Once you have choose both the project and the language,
        you'll be presented with the files available for
        translation.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div><br>

      <h3 class="title" id="translation">Online translating with
      Pootle</h3>

      <div class="info">
        Each file available for translation can be accessible in
        two ways - "Quick Translate" will show only the fuzzy and
        untranslated entries, while "Translate All" will show all
        the entries in the file, translated or not. In both cases
        you'll be presented with a two-column table, with the
        strings to be translated on the left, and the current
        translation on the right.<br>
        The current edited entry will appear as of a text box with
        the options "Skip" and "Submit" below it. Naturally you can
        enter text in the text box and submit it or skip to the
        next entry.<br>
        You can also directly access any of the other entries
        presented by hovering the mouse over the right-hand edge of
        the text and clicking on the pop-up "Edit" option.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div><br>

      <h3 class="title" id="aids">Other aids from Pootle</h3>

      <div class="info">
        The files available for translation sometimes offer you, in
        addition to the above, the options to download the PO file
        and/or the CVS version.<br>

        <div style="margin-left: 2em">
          <a href="#content">up</a>
        </div>
      </div>
    </div>
  </div>
</body>
</html>
